org.wildfly.swarm.config.messaging.activemq.server

## Class SharedStoreMasterHAPolicy<T extends SharedStoreMasterHAPolicy<T>>

- java.lang.Object
- - org.wildfly.swarm.config.messaging.activemq.server.SharedStoreMasterHAPolicy<T>

-     public class SharedStoreMasterHAPolicy<T extends SharedStoreMasterHAPolicy<T>>
      extends Object

  A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SharedStoreMasterHAPolicy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `failoverOnServerShutdown()` Whether the server must failover when it is normally shutdown.
    `T` | `failoverOnServerShutdown(Boolean value)` Whether the server must failover when it is normally shutdown.
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SharedStoreMasterHAPolicy

          public SharedStoreMasterHAPolicy()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### failoverOnServerShutdown

          public Boolean failoverOnServerShutdown()

      Whether the server must failover when it is normally shutdown.

    - #### failoverOnServerShutdown

          public T failoverOnServerShutdown(Boolean value)

      Whether the server must failover when it is normally shutdown.

Copyright © 2017 JBoss by Red Hat. All rights reserved.